DH_AUTO_CLEAN(1)

NOM
dh_auto_clean - Faire le ménage automatiquement après une construction de paquet

SYNOPSIS
dh_auto_clean [options_du_processus_de_construction] [options_de_debhelper] [-- paramètres]

DESCRIPTION
dh_auto_clean est un programme de la suite debhelper qui tente de faire le ménage après une construction de paquet. Il le fait en lançant les commandes appropriées du processus de construction d'après le type du paquet. Par exemple, s'il trouve un fichier Makefile et qu'il contient une instruction distclean, realclean, clean, il fait le ménage en exécutant make (ou MAKE si cette variable d'environnement est définie). S'il y a un fichier setup.py ou Build.PL il les lance pour réaliser le ménage du paquet.

dh_auto_clean fonctionne avec 90% des paquets environ. Si ça ne fonctionne pas ou que dh_auto_clean tente d'utiliser une mauvaise instruction de nettoyage, il suffit de sauter dh_auto_clean et de lancer manuellement make clean.

OPTIONS
Consulter OPTIONS DU PROCESSUS DE CONSTRUCTION dans debhelper(7) pour obtenir la liste des processus de construction courants et celle des options de contrôle.

-- paramètres
    Transmet les paramètres au programme exécuté après les paramètres que dh_auto_clean transmet normalement.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».